Skip to main content

FX Settings API

The FX Settings API allows fintechs to retrieve their FX configuration including MPC vault details, auto-signing status, token wallet addresses, and notification settings.

FX Settings API — Endpoints Overview


Important Notes

Security Consideration: The mpcVaultApiKey and mpcClientSignerPrivateKey are sensitive credentials. They are partially masked in the response. Store these values securely and never expose them in client-side code or logs.
MPCVault: A third-party MPC wallet infrastructure provider and is not affiliated with Strails. To enable wallet functionality on Strails, customers are required to independently create and maintain an account with MPCVault at https://mpcvault.com and shall be subject to MPCVault’s terms and conditions.By using MPCVault in connection with Strails, the customer acknowledges and agrees that all interactions with MPCVault are undertaken at the customer’s sole risk. Strails does not control, operate, or assume any responsibility or liability for MPCVault’s services, systems, or security.Strails shall not be liable for any losses, liabilities, damages, claims, costs, or expenses arising out of or in connection with the use of MPCVault or any activities conducted on or through the MPCVault platformAuto-Signing IP Allowlist: If auto-signing is enabled, you must add the natExternalIp address to your MPC Vault allowlist and API Vault IP whitelist for automatic transaction signing to work.Fallback Manual Signing: If for any reason auto-signing fails, manual approval is activated so that our liquidity providers and FX traders don’t loose profitable trades.

Register MPC Vault

Registers your MPC vault configuration to enable FX trading operations. This is required before you can create orders or execute trades on the FX orderbook.

Get FX Settings

Retrieves the fintech’s FX configuration after StRails Admin approval:
  • MPC Vault credentials and status
  • Auto-signing VM configuration
  • Token wallet addresses (USDT, USDC, cNGN)
  • Notification email settings

Enable Auto-Signing

Enables automatic transaction signing for FX trades. When enabled, transactions below the configured USD threshold will be automatically signed without manual approval.

Disable Auto-Signing

Disables automatic transaction signing. All FX transactions will require manual approval after disabling.

Set Auto-Signing Threshold

Configures the USD threshold for automatic transaction signing. Transactions with a USD value at or below this threshold will be automatically signed when auto-signing is enabled.

Get Auto-Signing Status

Retrieves the current auto-signing configuration and daily statistics including total transactions auto-signed, success rate, and execution times.
No request body required.

Get Auto-Signing Stats

Retrieves auto-signing statistics over a configurable period of days, including daily breakdowns and aggregate totals.
No request body required.